List aggregated network flows for a cluster
GET
/operations/clusters/{clusterId}/network-flows
const url = 'https://shoehorn.example.com/api/v1/operations/clusters/example/network-flows?minConnections=0&page=1&pageSize=100';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://shoehorn.example.com/api/v1/operations/clusters/example/network-flows?minConnections=0&page=1&pageSize=100'Returns aggregated source-to-destination flows. Backed by the network flow service —
returns 503 if that service is not configured.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” clusterId
required
string
Query Parameters
Section titled “Query Parameters ” timeRange
string
Window over which to aggregate. Examples: 15m, 1h, 24h.
minConnections
integer
Drop edges below this connection count.
page
integer
pageSize
integer
Responses
Section titled “ Responses ”Aggregated flows
Media type application/json
object
flows
Array<object>
object
sourceEntityId
string
destEntityId
string
destPort
integer
connectionCount
integer
lastSeenAt
string format: date-time
meta
object
timeRange
string
totalFlows
integer
Example generated
{ "flows": [ { "sourceEntityId": "example", "destEntityId": "example", "destPort": 1, "connectionCount": 1, "lastSeenAt": "2026-04-15T12:00:00Z" } ], "meta": { "timeRange": "example", "totalFlows": 1 }}ClusterId missing
Network flow service not configured